package capk

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

type ConfigGetRequest struct {
	*requests.JsonRequest
}

type ConfigGetResponse struct {
	*responses.BaseResponse
	Code int    `json:"code"`
	Msg  string `json:"msg"`
	Data string `json:"data"`
}

func CreateConfigGetRequest() *ConfigGetRequest {
	req := &ConfigGetRequest{
		JsonRequest: &requests.JsonRequest{},
	}

	req.InitWithApiInfo(HOST, VERSION, "/pack/config/get")
	req.Method = requests.GET

	return req
}

func CreateConfigGetResponse() *ConfigGetResponse {
	return &ConfigGetResponse{
		BaseResponse: &responses.BaseResponse{},
	}
}
