package capk

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

type ConfigModifyRequest struct {
	*requests.StreamRequest
}

type ConfigModifyResponse struct {
	*responses.BaseResponse
	Code int    `json:"code"`
	Msg  string `json:"msg"`
	Data string `json:"data"`
}

func CreateConfigModifyRequest() (req *ConfigModifyRequest) {
	req = &ConfigModifyRequest{
		StreamRequest: &requests.StreamRequest{},
	}

	req.InitWithApiInfo(HOST, VERSION, "/pack/config/set")
	req.Method = requests.POST
	return
}

func CreateConfigModifyResponse() (resp *ConfigModifyResponse) {
	return &ConfigModifyResponse{
		BaseResponse: &responses.BaseResponse{},
	}
}
