package center_api

import (
	"fmt"
	"testing"
)

func TestPackagingTaskCallback(t *testing.T) {
	client, err := NewClient()
	if err != nil {
		panic(err)
	}

	req := CreatePackagingTaskCallbackReq(Data{
		TaskId: "asdada120",
		Status: 1,
		Msg:    "test",
		Url:    "http://www.baidu.com",
		Md5:    "adadsadasdasda",
	})

	resp, err := client.PackagingTaskCallback(req)
	if err != nil {
		panic(err)
	}

	fmt.Println(resp.StatusCode, resp.StatusMsg)
}
