package mail

import (
	"fmt"
	"testing"
	"time"
)

func TestClient_GetUserInfo(t *testing.T) {
	c := NewClient()
	req := CreatePostEmailRequest()
	req.Addresses = "3002467428@qq.com"
	req.Body = "1111"
	req.FromName = "213123121"
	req.SetReadTimeout(60 * time.Second)
	resp, err := c.SendEmail(req)

	fmt.Println(req)
	fmt.Println(resp.GetHttpContentString())
	fmt.Println(err)

}
