package mkt

import (
	"encoding/json"
	"fmt"
	"testing"
)

func TestSubjectList(t *testing.T) {
	client, err := NewClient()
	if err != nil {
		panic(err)
	}

	req := CreateSubjectListRequest(0)
	req.Port = "9090"
	list, err := client.SubjectList(req)
	if err != nil {
		panic(err)
	}

	marshal, err := json.Marshal(list.Data)
	if err != nil {
		panic(err)
	}

	fmt.Println(string(marshal))
	fmt.Println(list.Status, list.Code, list.Msg, list.Data)
}
