package sso

type User struct {
	Uid        string     `json:"uid"`
	UidNumber  string     `json:"uidNumber"`
	Name       string     `json:"name"`
	FirstName  string     `json:"firstname"`
	LastName   string     `json:"lastname"`
	RealName   string     `json:"realname"`
	Mobile     string     `json:"mobile"`
	Mail       string     `json:"mail"`
	Department Department `json:"department"`
	Roles      []Role     `json:"roles"`
	Domains    []string   `json:"domains"`
}

type Department struct {
	Gid  string `json:"gid"`
	Name string `json:"name"`
	Abbr string `json:"abbr"`
}

type Role struct {
	Name    string   `json:"name"`
	Domains []string `json:"domains"`
	Abbr    string   `json:"abbr"`
}
