package credentials

type AliAppcodeCredential struct {
	AccessKeyId     string `json:"access_key_id" yaml:"access_key_id"`
	AccessKeySecret string `json:"access_key_secret" yaml:"access_key_secret"`
}

func NewAliAppcodeCredential(accessKeyId, accessKeySecret string) *AliAppcodeCredential {
	return &AliAppcodeCredential{
		AccessKeyId:     accessKeyId,
		AccessKeySecret: accessKeySecret,
	}
}
