package credentials

type StdTokenCredential struct {
	AccessKeyId     string `json:"access_key_id" yaml:"access_key_id"`
	AccessKeySecret string `json:"access_key_secret" yaml:"access_key_secret"`
	AccessKeyFrom   string `json:"access_key_from" yaml:"access_key_from"`
}

func NewStsTokenCredential(accessKeyId, accessKeySecret, accessFrom string) *StdTokenCredential {
	return &StdTokenCredential{
		AccessKeyId:     accessKeyId,
		AccessKeySecret: accessKeySecret,
		AccessKeyFrom:   accessFrom,
	}
}
