package sdk

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/utils"
	"net/http"
	"time"
)

type Config struct {
	Debug             bool              `default:"false"`
	HttpTransport     *http.Transport   `default:""`
	Transport         http.RoundTripper `default:""`
	GoRoutinePoolSize int               `default:"0"`
	UserAgent         string            `default:""`
	Scheme            string            `default:"HTTP"`
	Timeout           time.Duration     `default:"5"`
	Env               string            `default:""`
}

func NewConfig() *Config {
	config := &Config{}
	utils.InitStructWithDefaultTag(config)
	return config
}
