package apk

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

type AddTopRequest struct {
	*requests.RpcRequest
	Id  int    `position:"Body" field:"id" default:"0" `
	Ids string `position:"Body" field:"ids" default:"" `
	Top int    `position:"Body" field:"top" default:"0"`
}

type AddTopResponse struct {
	*responses.BaseResponse
	Code   int    `json:"code"`
	Status bool   `json:"status"`
	Msg    string `json:"msg"`
}

func CreateAddTopRequest() (req *AddTopRequest) {
	req = &AddTopRequest{
		RpcRequest: &requests.RpcRequest{},
	}
	req.InitWithApiInfo(HOST, VERSION, "/api/apk/AddTop")
	req.Method = requests.POST
	return
}

func CreateAddTopResponse() (response *AddTopResponse) {
	response = &AddTopResponse{
		BaseResponse: &responses.BaseResponse{},
	}
	return
}
