package capk

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
)

const (
	VERSION = "2024-10-30"
)

var HOST requests.Host = requests.Host{
	Default: "capk.gaore.com",
}

type Client struct {
	sdk.Client
}

func NewClient() (client *Client, err error) {
	client = new(Client)
	err = client.Init()
	return
}

func (c *Client) TaskCreate(req *TaskCreateRequest) (resp *TaskCreateResponse, err error) {
	resp = CreateTaskCreateResponse()
	err = c.DoAction(req, resp)
	return
}

func (c *Client) ConfigModify(req *ConfigModifyRequest) (resp *ConfigModifyResponse, err error) {
	resp = CreateConfigModifyResponse()
	err = c.DoAction(req, resp)
	return
}

func (c *Client) ConfigGet(req *ConfigGetRequest) (resp *ConfigGetResponse, err error) {
	resp = CreateConfigGetResponse()
	err = c.DoAction(req, resp)
	return
}
