package sso

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

type SearchUserRequest struct {
	*requests.RpcRequest
	Uid string `position:"Body" field:"uid" default:"" `
}

type SearchUserResponseData struct {
	User User `json:"user"`
}

type SearchUserResponse struct {
	*responses.BaseResponse
	Data SearchUserResponseData `json:"data"`
}

func CreateSearchUserRequest() (req *SearchUserRequest) {
	req = &SearchUserRequest{RpcRequest: &requests.RpcRequest{}}
	req.InitWithApiInfo(HOST, VERSION, "/api/user/search")
	req.Method = requests.POST
	return
}

func CreateSearchUserResponse() (response *SearchUserResponse) {
	response = &SearchUserResponse{
		BaseResponse: &responses.BaseResponse{},
	}
	return
}
